[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TUTF8Parser

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: lresources.pp line 314

`type TUTF8Parser = class(TObject)`
`public`
`constructor Create();`
`destructor Destroy; override;`
`procedure CheckToken();`
`procedure CheckTokenSymbol();`
`procedure Error();`
`procedure ErrorFmt();`
`procedure ErrorStr();`
`procedure HexToBinary();`
`function NextToken;`
`function SourcePos;`
`function TokenComponentIdent;`
`function TokenFloat;`
`function TokenInt;`
`function TokenString;`
`function TokenSymbolIs();`
`property FloatType: Char; [r]`
`property SourceLine: Integer; [r]`
`property Token: Char; [r]`
`end;`

## Inheritance

`TUTF8Parser`
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .